### Method

# GUsb Device bulk_transfer_finish

since: 0.1.0

#### Declaration

    gssize
    g_usb_device_bulk_transfer_finish (
      GUsbDevice* self,
      GAsyncResult* res,
      GError** error
    )

#### Description

Gets the result from the asynchronous function.

Available since: 0.1.0

#### Parameters

`res`

  Type: `GAsyncResult`

  The `GAsyncResult`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gssize`

The actual number of bytes sent, or -1 on error.